org.eclipse.incquery.runtime.api.impl

## Class BaseGeneratedEMFQuerySpecification<Matcher extends IncQueryMatcher<? extends IPatternMatch>>

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BaseQuerySpecification<Matcher>
  - - org.eclipse.incquery.runtime.api.impl.BaseGeneratedEMFQuerySpecification<Matcher>

- All Implemented Interfaces:
    IQuerySpecification<Matcher>, PQueryHeader
  Direct Known Subclasses:
    ActionContextQuerySpecification, ActionInputQuerySpecification, ActionOutputQuerySpecification, ActivityEdgeInGroupQuerySpecification, ActivityGroupContainedEdgeQuerySpecification, ActivityGroupContainedNodeQuerySpecification, ActivityGroupInActivityQuerySpecification, ActivityGroupQuerySpecification, ActivityGroupSubgroupQuerySpecification, ActivityGroupSuperGroupQuerySpecification, ActivityNodeActivityQuerySpecification, ActivityNodeInGroupQuerySpecification, ActivityNodeQuerySpecification, AssociationEndTypeQuerySpecification, BehaviorContextQuerySpecification, ChildrenQuerySpecification, ClassExtensionQuerySpecification, ClassifierAllParentsQuerySpecification, ClassifierAttributeQuerySpecification, ClassifierFeatureQuerySpecification, ClassifierGeneralQuerySpecification, ClassifierParentsQuerySpecification, ClassSuperClassQuerySpecification, ConnectableElementEndQuerySpecification, ConnectorKindQuerySpecification, DeploymentTargetDeployedElementQuerySpecification, DirectedRelationshipSourceQuerySpecification, DirectedRelationshipTargetQuerySpecification, ElementOwnedElementQuerySpecification, ElementOwnerQuerySpecification, EmptyTraceQuerySpecification, EncapsulatedClassifierOwnedPortQuerySpecification, ExtensionMetaclassEndQuerySpecification, ExtensionMetaclassQuerySpecification, FeatureFeaturingClassifierQuerySpecification, MessageMessageKindQuerySpecification, NamedElementClientDependencyQuerySpecification, NamedElementNamespaceQuerySpecification, NamedElementQualifiedNameQuerySpecification, NamespaceImportedMemberQuerySpecification, NamespaceMemberQuerySpecification, NamespaceOwnedMemberQuerySpecification, OpaqueExpressionResultQuerySpecification, OperationReturnResultQuerySpecification, PackageNestedPackageQuerySpecification, PackageNestingPackageQuerySpecification, PackageOwnedStereotypeQuerySpecification, PackageOwnedTypeQuerySpecification, PackageVisibleMemberQuerySpecification, Param2containmentQuerySpecification, Param2edgeQuerySpecification, Param2itemQuerySpecification, Param2targetQuerySpecification, PropertyIsCompositeQuerySpecification, ProtocolTransitionReferredQuerySpecification, RedefinableElementRedefinedElementQuerySpecification, RedefinableElementRedefinitionContextQuerySpecification, RedefinableTemplateSignatureInheritedParameterQuerySpecification, RelationshipRelatedElementQuerySpecification, StateIsCompositeQuerySpecification, StateIsOrthogonalQuerySpecification, StructuredClassifierPartQuerySpecification, StructuredClassifierRoleQuerySpecification, Trace2objectQuerySpecification, Trace2paramQuerySpecification, Trace2targetQuerySpecification, TraceQuerySpecification, TypePackageQuerySpecification, VertexIncomingQuerySpecification, VertexOutgoingQuerySpecification

      public abstract class BaseGeneratedEMFQuerySpecification<Matcher extends IncQueryMatcher<? extends IPatternMatch>>
      extends BaseQuerySpecification<Matcher>

  Provides common functionality of pattern-specific generated query specifications over the EMF scope.
  Author:
    Bergmann Gábor, Mark Czotter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseGeneratedEMFQuerySpecification(PQuery wrappedPQuery)` Instantiates query specification for the given internal query representation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends IncQueryScope>` | `getPreferredScopeClass()` The query is formulated over this kind of modeling platform.

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BaseQuerySpecification

      `getAllAnnotations, getAnnotationsByName, getFirstAnnotationByName, getFullyQualifiedName, getInternalQueryRepresentation, getMatcher, getMatcher, getParameterNames, getParameters, getPositionOfParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.api.IQuerySpecification

      `newEmptyMatch, newMatch`

- - ### Constructor Detail

    - #### BaseGeneratedEMFQuerySpecification

          public BaseGeneratedEMFQuerySpecification(PQuery wrappedPQuery)

      Instantiates query specification for the given internal query representation.

  - ### Method Detail

    - #### getPreferredScopeClass

          public java.lang.Class<? extends IncQueryScope> getPreferredScopeClass()

      Description copied from interface: `IQuerySpecification`
      The query is formulated over this kind of modeling platform. E.g. for queries over EMF models, the `EMFScope` class is returned.